Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.adapter
Class SearchOpsImpl

    java.lang.Object
      com.bea.p13n.content.adapter.BaseOps
          com.bea.p13n.content.adapter.SearchOpsImpl

All Implemented Interfaces:
  SearchOps, Serializable

public class SearchOpsImpl
extends BaseOps
implements SearchOps

The search ops for the WLP Content Repository-to-ContentManager adapter.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.content.adapter.BaseOps
`CONTENT_MANAGER_HOME, credentials, PATH_IS_ID, PATH_STARTS_WITH_SLASH, pathIsId, pathStartsWithSlash, properties`

Constructor Summary
`SearchOpsImpl(Credentials credentials, Properties properties)`

Method Summary
`Search` | `convert(Search s)` Convert a new Search to an old search.
`ID[]` | `search(Search search)` Performs a search against the ContentManager.

Methods inherited from class com.bea.p13n.content.adapter.BaseOps
`getContentManager, unsupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchOpsImpl

    public SearchOpsImpl(Credentials credentials,
                         Properties properties)

Method Detail

### convert

    public Search convert(Search s)
                   throws RepositoryException

  Convert a new Search to an old search.

  Throws:
    `RepositoryException`

### search

    public ID[] search(Search search)
                throws RepositoryException

  Performs a search against the ContentManager.

  Specified by:
    `search` in interface `SearchOps`
  Parameters:
    `search` - the search parameters (including the expression).
  Returns:
    an array of Node ids.
  Throws:
    `RepositoryException` - - if validation error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved